# ------------------------------------------------------------- return_types ------------------------------------------------------------- #

returns = {
    'HT_DCPERIOD':         ['real'],
    'HT_DCPHASE':          ['real'],
    'HT_PHASOR':           ['inphase', 'quadrature'],
    'HT_SINE':             ['sine', 'leadsine'],
    'HT_TRENDMODE':        ['integer'],
    'ADD':                 ['real'],
    'DIV':                 ['real'],
    'MAX':                 ['real'],
    'MAXINDEX':            ['integer'],
    'MIN':                 ['real'],
    'MININDEX':            ['integer'],
    'MINMAX':              ['min', 'max'],
    'MINMAXINDEX':         ['minidx', 'maxidx'],
    'MULT':                ['real'],
    'SUB':                 ['real'],
    'SUM':                 ['real'],
    'ACOS':                ['real'],
    'ASIN':                ['real'],
    'ATAN':                ['real'],
    'CEIL':                ['real'],
    'COS':                 ['real'],
    'COSH':                ['real'],
    'EXP':                 ['real'],
    'FLOOR':               ['real'],
    'LN':                  ['real'],
    'LOG10':               ['real'],
    'SIN':                 ['real'],
    'SINH':                ['real'],
    'SQRT':                ['real'],
    'TAN':                 ['real'],
    'TANH':                ['real'],
    'ADX':                 ['real'],
    'ADXR':                ['real'],
    'APO':                 ['real'],
    'AROON':               ['aroondown', 'aroonup'],
    'AROONOSC':            ['real'],
    'BOP':                 ['real'],
    'CCI':                 ['real'],
    'CMO':                 ['real'],
    'DX':                  ['real'],
    'MACD':                ['macd', 'macdsignal', 'macdhist'],
    'MACDEXT':             ['macd', 'macdsignal', 'macdhist'],
    'MACDFIX':             ['macd', 'macdsignal', 'macdhist'],
    'MFI':                 ['real'],
    'MINUS_DI':            ['real'],
    'MINUS_DM':            ['real'],
    'MOM':                 ['real'],
    'PLUS_DI':             ['real'],
    'PLUS_DM':             ['real'],
    'PPO':                 ['real'],
    'ROC':                 ['real'],
    'ROCP':                ['real'],
    'ROCR':                ['real'],
    'ROCR100':             ['real'],
    'RSI':                 ['real'],
    'STOCH':               ['slowk', 'slowd'],
    'STOCHF':              ['fastk', 'fastd'],
    'STOCHRSI':            ['fastk', 'fastd'],
    'TRIX':                ['real'],
    'ULTOSC':              ['real'],
    'WILLR':               ['real'],
    'BBANDS':              ['upperband', 'middleband', 'lowerband'],
    'DEMA':                ['real'],
    'EMA':                 ['real'],
    'HT_TRENDLINE':        ['real'],
    'KAMA':                ['real'],
    'MA':                  ['real'],
    'MAMA':                ['mama', 'fama'],
    'MAVP':                ['real'],
    'MIDPOINT':            ['real'],
    'MIDPRICE':            ['real'],
    'SAR':                 ['real'],
    'SAREXT':              ['real'],
    'SMA':                 ['real'],
    'T3':                  ['real'],
    'TEMA':                ['real'],
    'TRIMA':               ['real'],
    'WMA':                 ['real'],
    'CDL2CROWS':           ['integer'],
    'CDL3BLACKCROWS':      ['integer'],
    'CDL3INSIDE':          ['integer'],
    'CDL3LINESTRIKE':      ['integer'],
    'CDL3OUTSIDE':         ['integer'],
    'CDL3STARSINSOUTH':    ['integer'],
    'CDL3WHITESOLDIERS':   ['integer'],
    'CDLABANDONEDBABY':    ['integer'],
    'CDLADVANCEBLOCK':     ['integer'],
    'CDLBELTHOLD':         ['integer'],
    'CDLBREAKAWAY':        ['integer'],
    'CDLCLOSINGMARUBOZU':  ['integer'],
    'CDLCONCEALBABYSWALL': ['integer'],
    'CDLCOUNTERATTACK':    ['integer'],
    'CDLDARKCLOUDCOVER':   ['integer'],
    'CDLDOJI':             ['integer'],
    'CDLDOJISTAR':         ['integer'],
    'CDLDRAGONFLYDOJI':    ['integer'],
    'CDLENGULFING':        ['integer'],
    'CDLEVENINGDOJISTAR':  ['integer'],
    'CDLEVENINGSTAR':      ['integer'],
    'CDLGAPSIDESIDEWHITE': ['integer'],
    'CDLGRAVESTONEDOJI':   ['integer'],
    'CDLHAMMER':           ['integer'],
    'CDLHANGINGMAN':       ['integer'],
    'CDLHARAMI':           ['integer'],
    'CDLHARAMICROSS':      ['integer'],
    'CDLHIGHWAVE':         ['integer'],
    'CDLHIKKAKE':          ['integer'],
    'CDLHIKKAKEMOD':       ['integer'],
    'CDLHOMINGPIGEON':     ['integer'],
    'CDLIDENTICAL3CROWS':  ['integer'],
    'CDLINNECK':           ['integer'],
    'CDLINVERTEDHAMMER':   ['integer'],
    'CDLKICKING':          ['integer'],
    'CDLKICKINGBYLENGTH':  ['integer'],
    'CDLLADDERBOTTOM':     ['integer'],
    'CDLLONGLEGGEDDOJI':   ['integer'],
    'CDLLONGLINE':         ['integer'],
    'CDLMARUBOZU':         ['integer'],
    'CDLMATCHINGLOW':      ['integer'],
    'CDLMATHOLD':          ['integer'],
    'CDLMORNINGDOJISTAR':  ['integer'],
    'CDLMORNINGSTAR':      ['integer'],
    'CDLONNECK':           ['integer'],
    'CDLPIERCING':         ['integer'],
    'CDLRICKSHAWMAN':      ['integer'],
    'CDLRISEFALL3METHODS': ['integer'],
    'CDLSEPARATINGLINES':  ['integer'],
    'CDLSHOOTINGSTAR':     ['integer'],
    'CDLSHORTLINE':        ['integer'],
    'CDLSPINNINGTOP':      ['integer'],
    'CDLSTALLEDPATTERN':   ['integer'],
    'CDLSTICKSANDWICH':    ['integer'],
    'CDLTAKURI':           ['integer'],
    'CDLTASUKIGAP':        ['integer'],
    'CDLTHRUSTING':        ['integer'],
    'CDLTRISTAR':          ['integer'],
    'CDLUNIQUE3RIVER':     ['integer'],
    'CDLUPSIDEGAP2CROWS':  ['integer'],
    'CDLXSIDEGAP3METHODS': ['integer'],
    'AVGPRICE':            ['real'],
    'MEDPRICE':            ['real'],
    'TYPPRICE':            ['real'],
    'WCLPRICE':            ['real'],
    'BETA':                ['real'],
    'CORREL':              ['real'],
    'LINEARREG':           ['real'],
    'LINEARREG_ANGLE':     ['real'],
    'LINEARREG_INTERCEPT': ['real'],
    'LINEARREG_SLOPE':     ['real'],
    'STDDEV':              ['real'],
    'TSF':                 ['real'],
    'VAR':                 ['real'],
    'ATR':                 ['real'],
    'NATR':                ['real'],
    'TRANGE':              ['real'],
    'AD':                  ['real'],
    'ADOSC':               ['real'],
    'OBV':                 ['real']
}

# ---------------------------------------------------------------------------------------------------------------------------------------- #